### Function

# Pango.attr_allow_breaks_new

#### Declaration [src]

    PangoAttribute*
    pango_attr_allow_breaks_new (
      gboolean allow_breaks
    )

#### Description [src]

Create a new allow-breaks attribute.

If breaks are disabled, the range will be kept in a single run, as far as possible.

#### Parameters

`allow_breaks` | `gboolean`
| `TRUE` if we line breaks are allowed

#### Return value

Returns: `PangoAttribute`
the newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.
Ownership of the data is transferred to the caller